Package weka.classifiers.functions.supportVector

# Class SMOset

java.lang.Object
weka.classifiers.functions.supportVector.SMOset

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

public class SMOset extends Object implements Serializable, RevisionHandler
Stores a set of integer of a given size.

Version:
  $Revision: 1.5 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SMOset(int size)`
Creates a new set of the given size.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`contains(int index)`
Checks whether an element is in the set.
`void`
`delete(int index)`
Deletes an element from the set.
`int`
`getNext(int index)`
Gets the next element in the set.
`String`
`getRevision()`
Returns the revision string.
`void`
`insert(int index)`
Inserts an element into the set.
`int`
`numElements()`
Returns the number of elements in the set.
`void`
`printElements()`
Prints all the current elements in the set.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SMOset

public SMOset(int size)
Creates a new set of the given size.

## Method Details

### contains

public boolean contains(int index)
Checks whether an element is in the set.

### delete

public void delete(int index)
Deletes an element from the set.

### insert

public void insert(int index)
Inserts an element into the set.

### getNext

public int getNext(int index)
Gets the next element in the set. -1 gets the first one.

### printElements

public void printElements()
Prints all the current elements in the set.

### numElements

public int numElements()
Returns the number of elements in the set.

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision